Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html
Class Option

    java.lang.Object
      |
      +--javax.swing.text.html.Option

public class Option
extends Object

Value for the ListModel used to represent <option> elements. This is the object installed as items of the DefaultComboBoxModel used to represent the <select> element.

Constructor Summary
`Option(AttributeSet attr)` Creates a new Option object.

Method Summary
`AttributeSet` | `getAttributes()` Fetch the attributes associated with this option.
`String` | `getLabel()` Fetch the label associated with the option.
`String` | `getValue()` Convenience method to return the string associated with the `value` attribute.
`boolean` | `isSelected()` Fetches the selection state associated with this option.
`void` | `setLabel(String label)` Sets the label to be used for the option.
`protected void` | `setSelection(boolean state)` Sets the selected state.
`String` | `toString()` String representation is the label.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Option

    public Option(AttributeSet attr)

  Creates a new Option object.

Parameters:
  `attr` - the attributes associated with the option element. The attributes are copied to ensure they won't change.

Method Detail

### setLabel

    public void setLabel(String label)

  Sets the label to be used for the option.

### getLabel

    public String getLabel()

  Fetch the label associated with the option.

### getAttributes

    public AttributeSet getAttributes()

  Fetch the attributes associated with this option.

### toString

    public String toString()

  String representation is the label.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the object.

### setSelection

    protected void setSelection(boolean state)

  Sets the selected state.

### isSelected

    public boolean isSelected()

  Fetches the selection state associated with this option.

### getValue

    public String getValue()

  Convenience method to return the string associated with the `value` attribute. If the value has not been specified, the label will be returned.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.